          
     <app-header-logged pageOrigine="/gestion-mes-simulations" >
      <ion-back-button  text ="" defaultHref="/accueil-client-non-logge"></ion-back-button>
</app-header-logged>

<ion-content scroll-y="true" scrollbar="true">

      <app-refresher></app-refresher>     

    <div  class="containerContrat">
      <div class="inputs">
          <div class ="inputBlock">
              <ion-searchbar mode="ios" placeholder="rechercher"></ion-searchbar>
          </div>
          <div class ="inputBlock selectInput">
              
              <div class ="itemInput">
                  <ion-select placeholder="chercher par " [value]=filtreByIm>
                      <ion-select-option [value]=filtreByIm><small>immatriculation</small></ion-select-option>
                      
                      <ion-select-option [value]=filtreByfin> date fin</ion-select-option>
                      
                  </ion-select> 
              </div>
          </div>
      </div>
      <!-- nouveautemplate -->
      <div class="mesAction">
          <p class="mesHeading">Simulations</p>
          <ion-grid no-padding  *ngIf="flotteSimulations && flotteSimulations.length > 0; else noSimulations">
              <ion-row  no-margin>
                  <ion-col text-center size ="2">
                      <p class ="colonneListe"> BA</p>
                  </ion-col>
                  <ion-col text-center size="1.5" >
                      <p class ="colonneListe"> N°</p>
                  </ion-col>
                  <ion-col text-center >
                      <p class ="colonneListe">  Date</p>
                  </ion-col>
                  <ion-col text-center size ="4" >
                      <p class ="colonneListe">Matricule</p>
                  </ion-col>
                  <ion-col text-center >
                      <p class ="colonneListe">Enregistré</p>
                  </ion-col>
                 
                 
                    
              </ion-row>
              
              
              <ion-row no-margin class ="rowItem" *ngFor="let flotteSimulation of flotteSimulations;let i=index" (click)="voirSimulation(flotteSimulation)"  >
                  <ion-col text-center size ="2">
                      <img class ="iconeVoiture" src="../../assets/icon/car.svg">
                  </ion-col> 
                <ion-col  text-center size="1.5">
                      <p class ="colonneListe" >{{i}}</p> 
                  </ion-col>
                <ion-col  text-center  >
                    <p class ="colonneListe" >{{utilsService.displayDate(flotteSimulation.simulations[0].dateSimulation)}}</p> 
                </ion-col>
                <ion-col *ngIf="flotteSimulation.simulations.length==1" size="4"  text-center >
                    <p class ="colonneListe" >{{flotteSimulation.simulations[0].objet.matricule}}</p> 
                    
              
                </ion-col>
                <ion-col  *ngIf="flotteSimulation.simulations.length>1" size ="4"  text-center >
                  
                  
                  <ion-label class ="colonneListe"> liste <ion-icon  name ="eye"></ion-icon> </ion-label>
              </ion-col>
              <ion-col  *ngIf="flotteSimulation.simulations[0] && flotteSimulation.simulations[0].id ==null"  text-center >
                  
                  
                  <p class ="colonneListe"> non </p>
              </ion-col>
              <ion-col  *ngIf=" flotteSimulation.simulations[0] && flotteSimulation.simulations[0].id !=null"  text-center >
                  
                  
                  <p class ="colonneListe"> oui </p>
              </ion-col>

              
         
              </ion-row>
          </ion-grid>
          <ng-template #noSimulations>
              
              <p text-center class ="noObjets">Aucune simulation ne correspond à votre sélection</p>    
              
          </ng-template>
          
          
      </div>         


      <!-- ancientemplate -->
     
  <ion-button (click)="selectionBranche()" class = "simuler" margin size ="small" shape="round" expand="full" color="primary" >
    <ion-text >Lancer une simulation</ion-text> 
   </ion-button>
   <app-branche-grid></app-branche-grid>
  </div>
</ion-content>
<ion-footer>
    <app-custom-tab-bar></app-custom-tab-bar>
</ion-footer>

